Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.protocol.http.control
Class HttpMirrorThread

    java.lang.Object
      org.apache.jmeter.protocol.http.control.HttpMirrorThread

All Implemented Interfaces:
  Runnable

    public class HttpMirrorThread

extends Object
implements Runnable

Thread to handle one client request. Gets the request from the client and sends the response back to the client.

Constructor Summary
`HttpMirrorThread(Socket _clientSocket)`

Method Summary
`void` | `run()` Main processing method for the HttpMirror object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpMirrorThread

    public HttpMirrorThread(Socket _clientSocket)

Method Detail

### run

    public void run()

  Main processing method for the HttpMirror object

  Specified by:
    `run` in interface `Runnable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2012 Apache Software Foundation. All Rights Reserved.